Find Cardholder
curl --request GET \
--url https://api.transactcampus.com/idx/institution-management/lookups/v1/cardholders/find \
--header 'Ocp-Apim-Subscription-Key: <api-key>'import requests
url = "https://api.transactcampus.com/idx/institution-management/lookups/v1/cardholders/find"
headers = {"Ocp-Apim-Subscription-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'Ocp-Apim-Subscription-Key': '<api-key>'}};
fetch('https://api.transactcampus.com/idx/institution-management/lookups/v1/cardholders/find', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "694e4f30-a312-4dee-b21d-d45a0185496d",
"customerId": "d269f79c7qvel080",
"lastName": "Miller",
"firstName": "Thomas",
"middleName": "Matthew",
"preferredName": "Tom"
}{
"errors": [
{
"errorCode": "<string>",
"errorMessage": "<string>",
"source": {
"pathParameter": "<string>",
"queryParameter": "<string>",
"header": "<string>",
"field": "<string>",
"dependentResource": "<string>"
},
"moreInfo": "<string>"
}
]
}{
"errors": [
{
"errorCode": "<string>",
"errorMessage": "<string>",
"source": {
"pathParameter": "<string>",
"queryParameter": "<string>",
"header": "<string>",
"field": "<string>",
"dependentResource": "<string>"
},
"moreInfo": "<string>"
}
]
}{
"errors": [
{
"errorCode": "<string>",
"errorMessage": "<string>",
"source": {
"pathParameter": "<string>",
"queryParameter": "<string>",
"header": "<string>",
"field": "<string>",
"dependentResource": "<string>"
},
"moreInfo": "<string>"
}
]
}{
"errors": [
{
"errorCode": "<string>",
"errorMessage": "<string>",
"source": {
"pathParameter": "<string>",
"queryParameter": "<string>",
"header": "<string>",
"field": "<string>",
"dependentResource": "<string>"
},
"moreInfo": "<string>"
}
]
}{
"errors": [
{
"errorCode": "<string>",
"errorMessage": "<string>",
"source": {
"pathParameter": "<string>",
"queryParameter": "<string>",
"header": "<string>",
"field": "<string>",
"dependentResource": "<string>"
},
"moreInfo": "<string>"
}
]
}This response has no body data.Cardholder
Find Cardholder
Finds the cardholder using the provided query parameter. A query parameter must be provided to identify the cardholder.
GET
/
cardholders
/
find
Find Cardholder
Authorizations
The APIM subscription key.
Query Parameters
External entity identifier from the institution's system of record.
Pattern:
^[0-9a-zA-Z]{1,16}$Response
The cardholder response.
The cardholder model
The cardholder identifier in UUID format.
External entity identifier from the institution's system of record.
Maximum string length:
16Pattern:
^[0-9a-zA-Z]{1,16}$The last name of the cardholder.
Maximum string length:
255The first name of the cardholder.
Maximum string length:
255The middle name of the cardholder.
Maximum string length:
255The cardholder's preferred name.
Maximum string length:
255Was this page helpful?